#include "about.h"
#include <QMessageBox>
#include <QUrl>
#include <QDesktopServices>
#include <QSettings>
#include <THdbBase>
#include <macros.h>
#include <QCoreApplication>
#include <QVariant>

About::About(QObject *parent) : QObject(parent)
{

}

void About::manual()
{
    QSettings s;
    QString docPath = s.value("DOCPATH", DOCDIR).toString();
    QString manual = s.value("MANUAL_FILENAME", "saverestore2.pdf").toString();
    QDesktopServices::openUrl(QUrl("file://" + docPath + "/" + manual));
}

void About::aboutQTango()
{
    QString version(QTANGO_VERSION);
    QMessageBox::about(0, "QTango library version", "QTango version: " + version);
}

void About::aboutQt()
{
    QMessageBox::aboutQt(0, "QT version");
}

void About::aboutTHdb()
{
    QMessageBox::about(0, "THdb database interface library version",
                      QString("THdb database interface library version:\n") +
                       QString(THdbBase::version()));
}

void About::about()
{
    QCoreApplication *a = QCoreApplication::instance();
    QString abo = QString("Save Restore interface.\n"
                        "Version %1\nAuthor: %2\nmail to: %3\nOffice: %4\nPhone: %5").
            arg(a->applicationVersion()).
            arg(a->property("author").toString()).
            arg(a->property("mail").toString()).
            arg(a->property("office").toString()).
            arg(a->property("phone").toString());
    QMessageBox::about(0, "Application information", abo);
}



