#ifndef CONTEXTVIEW_H
#define CONTEXTVIEW_H

#include <QTreeView>
#include <QList>
#include "database/contextdata.h"

class ContextView : public QTreeView
{
    Q_OBJECT
public:
    enum Cols { Name = 0, Time, Author, Reason, Description, CtxId };

    ContextView(QWidget *w);

    int selectedContextId() const;

public slots:
    void update(const QList<ContextData>&);

    void selectId(int id);

private slots:
    void currentSelectionChanged(const QModelIndex& ,const QModelIndex&);

signals:
    void contextSelectionChanged(int id);

private:
    int mSelectedId;
};

#endif // CONTEXTVIEW_H
