#ifndef ADDSNAPSHOTQUERY_H
#define ADDSNAPSHOTQUERY_H

#include <DbQueryInterface>

class AddSnapshotQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    explicit AddSnapshotQuery(QObject *parent = 0);

    QString errorMessage() const { return m_errorMessage; }

public slots:
    void setContextId(int id) { m_contextId = id; }
    void setComment(const QString& cmt) { m_comment = cmt; }
    QString comment() const { return m_comment; }

    void init();

signals:
    void snapAdded(bool success, int snapId);
    void error(const QString& origin, const QString &message);


public:
    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;


public slots:

private:
    QString m_errorMessage;
    QString m_comment;
    int m_contextId;

};

#endif // ADDSNAPSHOTQUERY_H
