#ifndef ATTVALUE_H
#define ATTVALUE_H

#include <QString>
#include <QDateTime>
#include <tango.h>

#include "attinfo.h"

class AttData
{
public:
    AttData();

    AttData(const char *name, const char* read, const char* setpt);

    bool valid() const { return value != "NULL" && !value.isEmpty(); }
    int id;
    int idSnap;
    int dimX;
    QString value, setpoint;
    QString name;
    QDateTime dateTime;
    AttInfo::Type type;
    /* need write type because Sc1 or Sp1 AttInfo::Types can refer to READ only
     * or WRITE only attributes.
     */
    Tango::AttrWriteType writable;
};

#endif // ATTVALUE_H
