#include "ctxlistquery.h"
#include <QSqlQuery>
#include <QSqlRecord>
#include <QVariant>
#include <macros.h>


CtxListQuery::CtxListQuery(QObject *parent) : DbQueryInterface(parent)
{

}

void CtxListQuery::notify(const QSqlQuery& constQuery, const int eventId)
{
    QList<ContextData> ctxDataList;
    QSqlQuery q(constQuery);
    while(q.next() && q.record().count() == 6)
    {
        ContextData cd;
        cd.id = q.value(0).toInt();
        cd.time = q.value(1).toString();
        cd.name = q.value(2).toString();
        cd.author = q.value(3).toString();
        cd.reason = q.value(4).toString();
        cd.description = q.value(5).toString();
        ctxDataList << cd;
    }
    emit listReady(ctxDataList);
}

void CtxListQuery::execute(int id)
{
    DbQueryInterface::execute(id);
}

QString CtxListQuery::query(int id) const
{
    QString q = "SELECT * from context";
    printf("\e[0;36mquery() \"%s\"\e[0m\n", qstoc(q));
    return q;
}


