#include "deviceselectionquery.h"
#include <QSqlQuery>
#include <QSqlRecord>
#include <QVariant>
#include <macros.h>

DeviceSelectionQuery::DeviceSelectionQuery(QObject *parent) :
    DbQueryInterface(parent)
{

}


 void DeviceSelectionQuery::notify(const QSqlQuery& constQuery, const int contextId)
 {
     QSqlQuery q(constQuery);
     while(q.next() && q.record().count() == 3)
     {
         emit deviceAvailable(q.value(1).toString(), q.value(2).toString(), q.value(0).toString());
     }
     emit dataLoaded();
 }

 void DeviceSelectionQuery::execute(int id)
 {
    DbQueryInterface::execute(id);
 }

QString  DeviceSelectionQuery::query(int id) const
 {
    return QString("SELECT device,devices.section,devices.type "
                   " FROM devices,selection,section_order WHERE context=%1"
                   " AND devices.section=selection.section AND "
                   " devices.type=selection.type AND "
                   " section_order.section=devices.section  "
                   " ORDER BY section_order.position").arg(id);
 }

