#include "sectionorderquery.h"
#include <QSqlQuery>
#include <QVariant>
#include <QSqlRecord>
#include <QStringList>
#include <QtDebug>

SectionOrderQuery::SectionOrderQuery(QObject *parent) :
    DbQueryInterface(parent)
{
}

void SectionOrderQuery::notify(const QSqlQuery& constQuery, const int eventId)
{
    QStringList orderedSections;
    QSqlQuery q(constQuery);
    while(q.next() && q.record().count() == 1)
        orderedSections << q.value(0).toString();
    emit listReady(orderedSections);
}

void SectionOrderQuery::execute(int id)
{
    DbQueryInterface::execute(id);
}

QString SectionOrderQuery::query(int id) const
{
    QString q = "select section from section_order order by position";
    return q;
}
