#include "selectiontypequery.h"
#include <QSqlQuery>
#include <QSqlRecord>
#include <QVariant>

SelectionTypeQuery::SelectionTypeQuery(QObject *parent) :
    DbQueryInterface(parent)
{

}


 void SelectionTypeQuery::notify(const QSqlQuery& constQuery, const int contextId)
 {
     QSqlQuery q(constQuery);
     while(q.next() && q.record().count() == 2)
     {
         emit selectionTypesAvailable(contextId, q.value(0).toStringList());
     }
 }

 void SelectionTypeQuery::execute(int id)
 {
    DbQueryInterface::execute(id);
 }

QString  SelectionTypeQuery::query(int id) const
 {
    return QString("select DISTINCT type_order.type,type_order.position from selection,type_order "
                   "WHERE selection.context=%1 AND selection.type=type_order.type "
                   "ORDER BY type_order.position").arg(id);
 }

