#ifndef SNAPDB_H
#define SNAPDB_H

#include <THdbBase>
#include <QList>
#include <macros.h>
#include "contextdata.h"
#include "snapdata.h"
#include "attinfo.h"
#include "attdata.h"

class SnapDb : public THdbBase
{
    Q_OBJECT

public:
    SnapDb(QObject *parent = 0);

public slots:
    void getContextList();
    void getSnapshotList(int contextId);
    void getAttInfoList(int contextId);
    void getAttValueList(int snapId, int tableType);
    void getOrderedSectionsList();

signals:
    void contextListReady(const QList<ContextData>&);
    void snapListReady(const QList<SnapData>&);
    void attInfoListReady(const QList<AttInfo>&);
    void attValueListReady(const QList<AttData>&, AttInfo::Type type);
    void orderedSectionsReady(const QStringList &);
};

#endif // SNAPDB_H
