#ifndef SNAPINSERTQUERY_H
#define SNAPINSERTQUERY_H

#include <DbQueryInterface>
#include <QHash>
#include "attinfo.h"
#include "attdata.h"

class SnapInsertQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    explicit SnapInsertQuery(QObject *parent = 0);

    virtual ~SnapInsertQuery();

    void setSnapshotId(int id) { m_snapshotId = id; }

    int snapshotId() const { return m_snapshotId; }

    void reset();

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

    QString errorMessage() const { return m_errorMessage; }

    bool error() const { return !m_errorMessage.isEmpty(); }

    void setData(AttInfo::Type t, const QList<AttData> &v);

signals:
    void queryExecuted(const QString& q, bool success, const QString& errorMsg);

public slots:

private:
    QHash<AttInfo::Type, QList<AttData> > m_data ;
    QString m_errorMessage;
    int m_snapshotId;

};

#endif // SNAPINSERTQUERY_H
