#include "snaplistquery.h"
#include "snapdata.h"
#include <macros.h>
#include <QSqlQuery>
#include <QSqlRecord>
#include <QVariant>

SnapListQuery::SnapListQuery(QObject *parent) : DbQueryInterface(parent)
{

}

void SnapListQuery::notify(const QSqlQuery& constQuery, const int eventId)
{
    QList<SnapData> snapDataList;
    QSqlQuery q(constQuery);
    while(q.next() && q.record().count() == 4)
    {
        SnapData sd;
        sd.idSnap = q.value(0).toInt();
        sd.idContext = q.value(1).toInt();
        sd.time = q.value(2).toString();
        sd.comment = q.value(3).toString();
        if(sd.idContext == eventId)
            snapDataList << sd;
        else
        {
            perr("SnapListQuery::notify() discarding query result. ctx id mismatch (%d/%d)",
                   sd.idContext, eventId);
            return;
        }
    }
    emit listReady(snapDataList);
}

void SnapListQuery::execute(int id)
{
    DbQueryInterface::execute(id);
}

QString SnapListQuery::query(int id) const
{
    QString q;
    if(id > 0)
    {
        q = QString("SELECT * FROM snapshot WHERE id_context=%1").arg(id);
    }
    return q;
}
