#ifndef DIFFWIDGET_H
#define DIFFWIDGET_H

#include <QWidget>
#include "ui_diffDialog.h"
#include <QList>

class SnapDb;

class DiffDialog : public QDialog
{
    Q_OBJECT
public:
    ~DiffDialog();

    explicit DiffDialog(QWidget *parent, QList<int> snapList, int contextId);

    void setSnapDb(SnapDb *sdb);


signals:
    void snapSelectionChanged(int snapId);

    void selectSnapshot(int snapId);

public slots:
    void getDiff();

    void getNextAttributeValues();

    void liveViewEnabled(bool enab);

    void filterTextChanged(const QString &text);
    void filterOptionsChanged(int mode);

private slots:

    void selectAndClose();


private:
    Ui::DiffDialog ui;

    SnapDb *m_snapDb;

    int m_contextId;

    int m_nextSnapIndex;

};

#endif // DIFFWIDGET_H
