#include "diffitemreader.h"

DiffItemReader::DiffItemReader(QObject *parent, int attId) :
    QObject(parent),
    QTangoComProxyReader(this)
{
    m_attId = attId;
    connect(qtangoComHandle(), SIGNAL(newData(TVariant)), this, SLOT(refresh(TVariant)));
    connect(qtangoComHandle(), SIGNAL(connectionErrorMessage(QString)), this, SLOT(connectionError(QString)));
}

void DiffItemReader::connectionError(const QString& m)
{
    emit newData(m_attId, "####", Tango::ATTR_INVALID, m);
}

void DiffItemReader::refresh(const TVariant &v)
{
    m_value.clear();
    if(v.quality() == ATTR_INVALID)
    {
        m_value = "####";
        emit newData(m_attId, m_value, (int) v.quality(), v.message());
    }
    else
    {
        if(v.canConvertToString())
        {
            m_value = v.toString().trimmed();
            emit newData(m_attId, m_value, (int) v.quality(), v.message());
        }
        else if(v.canConvertToStringVector())
        {
            QVector<QString> vect = v.toStringVector();
            int i = 0;
            while(i < 15 && i < vect.size())
            {
                m_value += vect.at(i) + ",";
                i++;
            }
            if(m_value.endsWith(","))
                m_value.remove(m_value.length() - 1, 1);
            if(i == 15)
                m_value += "...";
            QString mess = "<p>";
            for(i = 0; i < vect.size(); i++)
                mess += vect.at(i) + ",";
            if(mess.endsWith(",") )
                mess.remove(mess.length() - 1, 1);
            mess += "</p><p>" + v.message() + "</p>";
            emit newData(m_attId, m_value, v.quality(), mess);
        }
    }

}

void DiffItemReader::unsetSource()
{
    m_value = "-";
    QTangoComProxyReader::unsetSource();
}
