#include "led.h"
#include <QMouseEvent>
#include <configuration.h>
#include <tango.h>

Led::Led(QWidget *parent) : ELed(parent)
{
    reset();
    setRectangular(true);
    setGradientEnabled(true);
    setLinearGradient(true);
    setScaleContents(true);
    setLedWidth(50);
    setLedHeight(16);
    setGradientStart(0.01);
    setStatusTip("Click to show error history");
}

void Led::setOk()
{
    if(m_state != Error)
    {
        setColor(Config::instance()->stateColor(Tango::RUNNING));
        m_state = Ok;
    }
    else
       setError();
}

void Led::setMoving()
{
    setColor(Config::instance()->stateColor(Tango::MOVING));
//     m_state = Moving;
}

void Led::forceOk()
{
    setColor(Config::instance()->stateColor(Tango::RUNNING));
    m_state = Ok;
}

void Led::forceOk(bool ok)
{
    if(ok)
        forceOk();
    else
        setError();
}

void Led::setOk(bool ok)
{
    if(ok)
        setOk();
    else
        setError();
}

void Led::setError()
{
    setColor(Config::instance()->stateColor(Tango::FAULT));
    m_state = Error;
}

void Led::setWarning()
{
    if(m_state != Error)
    {
        setColor(Config::instance()->stateColor(Tango::ALARM));
        m_state = Warning;
    }
}

void Led::reset()
{
    setColor(Config::instance()->stateColor(Tango::UNKNOWN));
    m_state = Init;
}

void Led::mousePressEvent(QMouseEvent *e)
{
    if(e->button() == Qt::LeftButton)
        emit clicked();
    ELed::mousePressEvent(e);
}
