#ifndef LED_H
#define LED_H

#include <ELed>

class Led : public ELed
{
    Q_OBJECT
public:
    Led(QWidget *parent);

    enum State { Ok = 0x0, Error = 0x0001, Warning = 0x0004, Init = 0x0008, Moving = 0x0010 };

public slots:
    void setOk();
    void setOk(bool ok);
    void forceOk();
    void forceOk(bool);
    void setError();
    void setWarning();
    void setMoving();

    void reset();

signals:
    void clicked();

protected:
    void mousePressEvent(QMouseEvent *);

private:
    State m_state;

};

#endif // LED_H
