#include "logger.h"
#include <macros.h>
#include <QDir>
#include <QFile>
#include <QTextStream>
#include <QDateTime>

Logger::Logger(const QString &logDir)
{
    if(logDir.isEmpty())
        mLogDir = "/var/log/saverestore/";
    else if(logDir.endsWith("/"))
        mLogDir = logDir;
    else
        mLogDir = logDir + "/";
}

void Logger::addTangoReadError(const QString& source, const QString& error, const int id)
{
    bool ok = false;
    const QString dirname = mLogDir + "read";
    const QString fileName = QString("%1/%2.log").arg(dirname).arg(id);
    QDir dir(dirname);
    ok = dir.exists();
    if(!ok)
    {
        ok = dir.mkpath(dirname);
    }
    if(ok)
    {
        QFile f(fileName);
        if(!f.open(QIODevice::Append|QIODevice::Text))
            perr("Logger: error opening file \"%s\" in append mode", qstoc(fileName));
        else
        {
            QTextStream out(&f);
            out << "READ " << QDateTime::currentDateTime().toString() << "\t" << source << "\t" << error << "\n";
            f.close();
        }
    }
    else
        perr("Logger: failed to create dir \"%s\"", qstoc(dirname));
}

void Logger::addTangoWriteError(const QString& source, const QString& error, const int id)
{
    bool ok = false;
    const QString dirname = mLogDir + "write";
    const QString fileName = QString("%1/%2.log").arg(dirname).arg(id);
    QDir dir(dirname);
    ok = dir.exists();
    if(!ok)
    {
        ok = dir.mkpath(dirname);
    }
    if(ok)
    {
        QFile f(fileName);
        if(!f.open(QIODevice::Append|QIODevice::Text))
            perr("Logger: error opening file \"%s\" in append mode", qstoc(fileName));
        else
        {
            QTextStream out(&f);
            out << "WRITE " << QDateTime::currentDateTime().toString() << "\t" << source << "\t" << error << "\n";
            f.close();
        }
    }
    else
        perr("Logger: failed to create dir \"%s\"", qstoc(dirname));
}

void Logger::addDbReadError()
{

}

void Logger::addDbWriteError()
{

}



