#ifndef ERRORVIEW_H
#define ERRORVIEW_H

#include <QTreeView>

class ErrorView : public QTreeView
{
    Q_OBJECT
public:
    explicit ErrorView(QWidget *parent = 0);

    enum Columns { ColOrigin, ColMessage, ColDate, ColTime };
signals:
    void visible(bool v);

public slots:
    void addError(const QString&, const QString&);
    void clear();

private slots:
    void itemActivated(const QModelIndex&);

private:
    QString tooltipToHtml(const QString& txtTooltip) const;
    QString chopMsg(const QString& originalMsg) const;

};

#endif // ERRORVIEW_H
