#ifndef MONITORTREEMODEL_H
#define MONITORTREEMODEL_H

#include <QAbstractItemModel>

class TreeItem;

class ItemModel : public QAbstractItemModel
{
Q_OBJECT
public:
    ItemModel(QObject *parent = 0, const QList<QVariant>& rootData = QList<QVariant>());
    ~ItemModel();

    QVariant data(const QModelIndex &index, int role) const;
    bool setData(const QModelIndex &index, const QVariant &value,
                 Qt::ItemDataRole role = Qt::DisplayRole, bool update = true);

    Qt::ItemFlags flags(const QModelIndex &index) const;
    QVariant headerData(int section, Qt::Orientation orientation,
                        int role = Qt::DisplayRole) const;
    QModelIndex index(int row, int column,
                      const QModelIndex &parent = QModelIndex()) const;
    QModelIndex parent(const QModelIndex &index) const;
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;


    bool insertRows(int row, int count, const QModelIndex &parent = QModelIndex());

    bool removeRows(int row, int count, const QModelIndex &parent = QModelIndex());


public slots:
    void update(const QModelIndex& from, const QModelIndex& to);

private:
    void setupModelData(const QStringList &lines, TreeItem *parent);

    TreeItem *m_rootItem;

    QList<Qt::ItemDataRole> m_supportedRoles;

};

#endif // MONITORTREEMODEL_H
