#ifndef MONITORTREEITEM_H
#define MONITORTREEITEM_H

#include <QVariant>
#include <QMap>

class TreeItem
{
public:
    TreeItem(const QList<QVariant> &data, TreeItem *parent = 0);
    ~TreeItem();

    void appendChild(TreeItem *child);

    TreeItem *child(int row);
    int childCount() const;
    int columnCount() const;
    QVariant data(int column, Qt::ItemDataRole) const;
    bool setData(const QVariant& val, int column, Qt::ItemDataRole = Qt::DisplayRole);
    int row() const;
    TreeItem *parent();
    void removeChildren(int from, int count);

private:
    QList<TreeItem*> m_childItems;
    QMap<int, QVariant> m_itemData;
    QMap<int, QVariant> m_userData;
    QMap<int, QVariant> m_toolTipData;
    QMap<int, QVariant> m_decorationData;
    QMap<int, QVariant> m_foregroundData;
    QMap<int, QVariant> m_backgroundData;
    QMap<int, QVariant> m_fontData;
    TreeItem *m_parentItem;
};

#endif // MONITORTREEITEM_H
