#ifndef TREEVIEWFILTER_H
#define TREEVIEWFILTER_H

#include <QTreeView>

class TreeViewFilter : public QObject
{
    Q_OBJECT
public:
    enum FilterMode { Normal, RegExp, WildCard };

    TreeViewFilter(QTreeView *tree);

    bool filterEnabled() const { return !m_currentText.isEmpty(); }

    QString filterText() const { return m_currentText; }

public slots:
    void filter(const QString& text, int column);

    void setFilterMode(FilterMode mode);

signals:
    void regexpValid(bool valid);

private:
    QTreeView *m_treeView;
    FilterMode m_filterMode;
    QString m_currentText;
};

#endif // TREEVIEWFILTER_H
