#ifndef SNAPSELECTIONMANAGER_H
#define SNAPSELECTIONMANAGER_H

#include <QObject>

class AttributeDataTreeView;
class QModelIndex;
class QItemSelection;

class SnapSelectionManager : public QObject
{
    Q_OBJECT
public:

    explicit SnapSelectionManager(AttributeDataTreeView *model);

    virtual ~SnapSelectionManager();

    QString errorMessage() const { return m_errorMessage; }
    bool error() const { return !m_errorMessage.isEmpty(); }

signals:
    void error(const QString& origin, const QString& message);

public slots:

    void loadFromId(int id);
    void saveSelection();
    void itemClicked(const QModelIndex&);
    void deselectReadOnlyAndNullItems();

private:

   AttributeDataTreeView *m_view;
   QString m_errorMessage;

   QString filepath() const;
   QString filename(int id) const;

   int m_currentId;

};

#endif // SNAPSELECTIONMANAGER_H
