#ifndef WRITER_H
#define WRITER_H

#include <QObject>
#include <com_proxy_writer.h>

class Writer : public QObject, public QTangoComProxyWriter
{
    Q_OBJECT
public:
    virtual ~Writer();

    explicit Writer(QObject *parent, const QString& objName, int snapId);

    QString errorMessage() const { return m_errorMessage; }

    bool hasErrors() const { return !m_errorMessage.isEmpty(); }

    QList<TVariant> execute(QVariant v);

    int snapId() const { return mSnapId; }

signals:

    void connectionFailed(const QString& target, const QString& message);

    void executionFailed(const QString& target, const QString& message);

    void targetExecuted();

public slots:

private slots:
    void slotConnectionOk(bool);

    void attributeConfigured(const TangoConfigurationParameters *);

    void slotConnectionErrorMessage(const QString& msg);

private:
    QString m_errorMessage;

    QVariant m_variant;

    int mSnapId;

};

#endif // WRITER_H
