#ifndef READER_H
#define READER_H

#include <QObject>
#include <com_proxy_reader.h>
#include "../database/attdata.h"
#include "../database/attinfo.h"

class Reader : public QObject, public QTangoComProxyReader
{
    Q_OBJECT
public:
    virtual ~Reader();
    explicit Reader(QObject *parent, AttInfo::Type t,
                    Tango::AttrWriteType writable,
                    int attId, const QString& objName,
                    const int snapId);

    AttData& attValue() { return m_attValue; }
    QString errorMessage() const { return m_errorMessage; }
    QString message() const { return m_message; }
    bool error() const  { return !m_errorMessage.isEmpty(); }
    int id() const { return m_attValue.id; }
    bool valid() const { return m_attValue.valid(); }

    int snapId() const { return m_snapId; }

signals:
    void dataAvailable(bool ok);
    void connectionError();
    void connectionOk(bool);
    void connectionErrorMessage(const QString&);

public slots:
    virtual void refresh(const TVariant &);

private slots:
    void slotConnectionOk(bool ok);
    void slotConnectionErrorMessage(const QString&);

  private:
    AttData m_attValue;
    QString m_errorMessage, m_message;
    int m_snapId;
};

#endif // READER_H
