#ifndef SELECTION_H
#define SELECTION_H

#include <QObject>
#include <QItemSelection>

class SnapDb;

class Selection : public QObject
{
    Q_OBJECT
public:
    explicit Selection(QObject *parent, SnapDb* db,
                       int contextId,
                       const QItemSelection &currentSelection);

    QItemSelection & savedItemSelection() { return m_savedItemSelection; }

signals:
    void deviceReady(const QString&  section, const QString& type, const QString& source);

    void typesReady(const QStringList& types);

    void dbDataRetrieved();

public slots:
    void getSelection();

private slots:
    void slotTypesAvailable(int contextID, const QStringList& types);

private:
    SnapDb *m_snapDb;
    int m_contextId;
    QItemSelection m_savedItemSelection;

};

#endif // SELECTION_H
