#ifndef SELECTIONSETTINGS_H
#define SELECTIONSETTINGS_H

#include <QString>
#include <QPair>
#include <QList>

class Cell
{
public:
    Cell(const QString& ty, const QString& sec) { type = ty; section = sec; }

    Cell();

    QString type, section;
};

class SelectionSettings
{
public:
    SelectionSettings();

    void save(int contextId, const QList<Cell >& cells);

    QList<Cell > cellSelection(int contextId) const;

private:
    QString filename(int ctxId) const;
    QString filepath() const;

    int m_contextId;
};

#endif // SELECTIONSETTINGS_H
