#ifndef SELECTIONTABLE_H
#define SELECTIONTABLE_H

#include <QTableWidget>
#include <QHash>
#include <QPair>

#include "selectionsettings.h" /* contains Cell definition */

class SelectionTable : public QTableWidget
{
    Q_OBJECT
public:
    explicit SelectionTable(QWidget *parent = 0);

    QStringList devicesForIndex(const QModelIndex &) const;

    QStringList selectedDevices() const;

    QList<Cell > selectedCells() const;

    void select(const QList<Cell > & cells);

    int horizontalItemIdx(const QString& text) const;

    int verticalItemIdx(const QString& text) const;

    void disableCellsWithoutDevices();

signals:
    void deviceSelectionChanged(const QStringList&);
    void deviceCellChanged(const QStringList&);

public slots:
    void addDevice(const QString& section, const QString& type, const QString& source);

    int addType(const QString& type);

    int addSection(const QString& section);

protected slots:
    void selectionChanged();

    void slotCellEntered(int row, int col);

protected:

private:
    void m_addDeviceToIdxHash(const QModelIndex& idx, const QString& attname);


    QHash<QModelIndex, QStringList> m_idxAttnameHash;

};

#endif // SELECTIONTABLE_H
