#include "tableitemdelegate.h"
#include <QPainter>
#include <macros.h>
#include <elettracolors.h>
#include <QtDebug>

TableItemDelegate::TableItemDelegate(QObject *parent) :
    QStyledItemDelegate(parent)
{

}

void TableItemDelegate::paint(QPainter* painter,
                              const QStyleOptionViewItem& option,
                              const QModelIndex& index ) const
{
    QPen p = painter->pen();
    if(m_disabledIndexes.contains(index))
        painter->fillRect(option.rect, QBrush(KLIGHTGRAY));
    else if(index == m_mouseOverIndex)
        painter->fillRect(option.rect, QBrush(KGREEN));
    if(m_selectedIndexes.contains(index))
    {
        QRect r = option.rect;
        painter->setRenderHint(QPainter::Antialiasing, true);
        QPoint topLeft, botRight, topRight, botLeft;
        painter->drawRect(r);
        p.setWidth(3);
        painter->setPen(p);
        painter->drawLine(r.topLeft(), r.bottomRight());
        painter->drawLine(r.bottomLeft(), r.topRight());
    }
}

void TableItemDelegate::clearSelection()
{
    m_selectedIndexes.clear();
}

void TableItemDelegate::setSelected(const QModelIndex& idx)
{
    m_selectedIndexes.insert(idx);
}

void TableItemDelegate::setDisabled(const QModelIndex& idx)
{
    m_disabledIndexes << idx;
}

void TableItemDelegate::setMouseIsOver(const QModelIndex &idx)
{
    emit updateCell(m_mouseOverIndex);
    m_mouseOverIndex = idx;
}
