#ifndef TABLEITEMDELEGATE_H
#define TABLEITEMDELEGATE_H

#include <QStyledItemDelegate>
#include <QSet>

class TableItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
    explicit TableItemDelegate(QObject *parent = 0);

    void clearSelection();

    void setSelected(const QModelIndex&);

    void setDisabled(const QModelIndex&);

    void addAttribute(const QModelIndex& idx, const QString& attname);

    QList<QModelIndex> selectedIndexes() const { return m_selectedIndexes.toList(); }

    void setMouseIsOver(const QModelIndex& idx);



protected:
    void paint(QPainter* painter, const QStyleOptionViewItem& option, const QModelIndex& index ) const;

signals:
    void updateCell(const QModelIndex& index);

public slots:

private:
    QSet<QModelIndex> m_selectedIndexes;
    QSet<QModelIndex> m_disabledIndexes;
    QModelIndex m_mouseOverIndex;

};

#endif // TABLEITEMDELEGATE_H
