#include "settingsdialog.h"
#include "../database/snapdb.h"
#include <macros.h>
#include <QSettings>
#include <DbConnectionParams>

SettingsDialog::SettingsDialog(QWidget *parent) :
    QDialog(parent)
{
    ui.setupUi(this);
    QSettings s;
    ui.tabWidget->setCurrentIndex(0);

    ui.lineEditHostName->setText(s.value("DBHOST", "ken").toString());
    ui.lineEditDatabaseName->setText(s.value("DBNAME", "snap").toString());
    ui.lineEditPassword->setText(s.value("DBPASSWORD", "snaparchiver").toString());
    ui.lineEditUser->setText(s.value("DBUSER", "snaparchiver").toString());
    ui.spinBoxPort->setValue(s.value("DBPORT", 3306).toInt());

    ui.lineEditHostNameHdb->setText(s.value("DBHOST_HDB", "ken").toString());
    ui.lineEditDatabaseNameHdb->setText(s.value("DBNAME_HDB", "hdb").toString());
    ui.lineEditPasswordHdb->setText(s.value("DBPASSWORD_HDB", "hdbbrowser").toString());
    ui.lineEditUserHdb->setText(s.value("DBUSER_HDB", "hdbbrowser").toString());
    ui.spinBoxPortHdb->setValue(s.value("DBPORT_HDB", 3306).toInt());

    ui.lineEditHostNameSnapTimeMachine->setText(s.value("DBHOST_SNAP_TIME_MACHINE", "ken").toString());
    ui.lineEditDatabaseNameSnapTimeMachine->setText(s.value("DBNAME_SNAP_TIME_MACHINE", "snap").toString());
    ui.lineEditPasswordSnapTimeMachine->setText(s.value("DBPASSWORD_SNAP_TIME_MACHINE", "snaparchiver").toString());
    ui.lineEditUserSnapTimeMachine->setText(s.value("DBUSER_SNAP_TIME_MACHINE", "snaparchiver").toString());
    ui.spinBoxPortSnapTimeMachine->setValue(s.value("DBPORT_SNAP_TIME_MACHINE", 3306).toInt());

    ui.lineEditDiarySource->setText(s.value("DIARY_SOURCE", "archiving/time_machine/fermi/diary").toString());

}

void SettingsDialog::accept()
{
    QSettings s;
    s.setValue("DBHOST", ui.lineEditHostName->text());
    s.setValue("DBNAME", ui.lineEditDatabaseName->text());
    s.setValue("DBPASSWORD", ui.lineEditPassword->text());
    s.setValue("DBUSER", ui.lineEditUser->text());
    s.setValue("DBPORT", ui.spinBoxPort->value());

    s.setValue("DBHOST_HDB", ui.lineEditHostNameHdb->text());
    s.setValue("DBNAME_HDB", ui.lineEditDatabaseNameHdb->text());
    s.setValue("DBPASSWORD_HDB", ui.lineEditPasswordHdb->text());
    s.setValue("DBUSER_HDB", ui.lineEditUserHdb->text());
    s.setValue("DBPORT_HDB", ui.spinBoxPortHdb->value());


    s.setValue("DBHOST_SNAP_TIME_MACHINE", ui.lineEditHostNameSnapTimeMachine->text());
    s.setValue("DBNAME_SNAP_TIME_MACHINE", ui.lineEditDatabaseNameSnapTimeMachine->text());
    s.setValue("DBPASSWORD_SNAP_TIME_MACHINE", ui.lineEditPasswordSnapTimeMachine->text());
    s.setValue("DBUSER_SNAP_TIME_MACHINE", ui.lineEditUserSnapTimeMachine->text());
    s.setValue("DBPORT_SNAP_TIME_MACHINE", ui.spinBoxPortSnapTimeMachine->value());

    s.setValue("DIARY_SOURCE", ui.lineEditDiarySource->text());

    QDialog::accept();
}

