#ifndef SNAPSHOTVIEW_H
#define SNAPSHOTVIEW_H

#include <QTreeView>
#include "modelview/treeitem.h"
#include "database/snapdata.h"

class SnapshotView : public QTreeView
{
    Q_OBJECT
public:

    enum Columns { ColumnSnapId, ColumnTime, ColumnComment, ColumnContextId };

    SnapshotView(QWidget *parent = NULL);

    QList<int> selectedSnapIds() const;

public slots:
    void update(const QList<SnapData>&);

    void select(int snapId);

private slots:
    void itemSelectionChanged(const QModelIndex& current, const QModelIndex &previous);

   signals:
    void snapSelectionChanged(int snapId);

private:
};

#endif // SNAPSHOTVIEW_H
