#ifndef SAVERESTORE_H
#define SAVERESTORE_H

#include <QMainWindow>

namespace Ui {
    class SaveRestore;
}

class SnapDb;

class SaveRestore : public QMainWindow
{
    Q_OBJECT

public:
    explicit SaveRestore(QWidget *parent = 0);
    ~SaveRestore();

signals:
    void selectionDialogShown();
    void selectionDialogClosed();


private slots:
    void save();
    void restore();
    void saveFinished(int contextId, int snapId);
    void restoreFinished();
    void showDiffDialog();
    void executeSelectionDialog();
    void selectionDialogClosed(int result);
    void executeConfigDialog();

    void progress(int s, int t);

private:
    Ui::SaveRestore *ui;
};

#endif // SAVERESTORE_H
