#ifndef EXTRACTORPRIVATE_H
#define EXTRACTORPRIVATE_H

#include <QList>
#include <QHash>
#include <QStringList>
#include <QDateTime>
#include "attdata.h"
#include <hdbextractor.h>

class HdbXSettings;

class ExtractorPrivate
{
public:
    ExtractorPrivate();

    virtual ~ExtractorPrivate();

    QHash<AttInfo::Type, QList<AttData> >mAttValueHash;

    int mTotSteps;

    int mStep, mProgress, mStepSize;

    unsigned int mPort;

    QString mHost, mUser, mPass, mDb;

    QStringList mErrors;

    Hdbextractor::DbType mDbType;

    QDateTime mStartDateTime, mStopDateTime;

    QStringList mAttributeList;

    bool mCancel;

    /* is deleted by ~ExtractorPrivate() */
    Hdbextractor *mHdbExtractor;
};

#endif // EXTRACTORPRIVATE_H
