#ifndef SELECTFROMDIARYDIALOG_H
#define SELECTFROMDIARYDIALOG_H

#include <QDialog>
#include "attdata.h"
#include "ui_diary.h"
#include <QList>

class SelectFromDiaryDialog : public QDialog
{
    Q_OBJECT
public:
    SelectFromDiaryDialog(QWidget *parent, const QString &diarySource);

    virtual ~SelectFromDiaryDialog();

    QDateTime selectedDateTime() const;

    QString comment() const;

    void setDiarySource(const QString& src);

    QTreeWidgetItem *findItem(const QDateTime& dt, const QString& s) const;

    void startHighlightingRecent();

private slots:

    void extractionProgress(int step , int total);

    void update(const QList<AttData>& , AttInfo::Type);

    void onError(QString,QString);

    void load();

    void setInterval();

    void setStopDateNow();

    void selectionChanged();

    void itemEntered(QTreeWidgetItem* it, int column);

    void saveOnDiary();

    void diaryTextChanged();

    void diaryDevConnectionOk(bool ok);

    void diaryReloadTimeout();

    void highlightRecent();

protected:
    void closeEvent(QCloseEvent *);

    void showEvent(QShowEvent *e);


private:
    Ui::Diary *ui;

    QString mDiarySource;

    QString mComment;

    QDateTime mSelectedDateTime;

    QString mMakeHtml(const QTreeWidgetItem *it) const;

};

#endif // SELECTFROMDIARYDIALOG_H
