#ifndef SAVERESTORE_H
#define SAVERESTORE_H

#include <QMainWindow>

namespace Ui {
    class TimeMachine;
}

class SnapDb;

class TimeMachine : public QMainWindow
{
    Q_OBJECT

public:
    explicit TimeMachine(QWidget *parent = 0);
    ~TimeMachine();

signals:
    void selectionDialogShown();
    void selectionDialogClosed();


private slots:
    void restore();
    void restoreFinished();
    void showDiffDialog();
    void executeSelectionDialog();
    void selectionDialogClosed(int result);
    void executeConfigDialog();

    void extractionProgress(int s, int t);
    void restoreProgress(int s, int t);

    void extractFromHdb();

private:
    Ui::TimeMachine *ui;
};

#endif // SAVERESTORE_H
