#ifndef UIHELPER_H
#define UIHELPER_H

#include <QObject>

class QWidget;

class UiHelper : public QObject
{
    Q_OBJECT
public:
    UiHelper(QWidget *mainwin);

    bool filterVisible() const;

    QString filterString() const;

    void init();

signals:
    void contextViewCollapsed(bool collapsed);

public slots:
    void expandContextView(bool expand);

    void contextSelectionChanged(int);

    void ensureErrorViewVisible();

    void optimizeSnapshotView (bool optimize);

    void selectionDialogShown();
    void selectionDialogClosed();

    void dbDataRetrievalStart();
    void dbDataRetrievalEnd(bool result);

    void setViewFilterVisible(bool visible);
    void showSnapViewFilter() { setViewFilterVisible(true); }
    void hideSnapViewFilter() { setViewFilterVisible(false); }

    void snapInfoViewFilterTextChanged(const QString& text);
    void snapSelectionChanged(int id);

    void allItemsValidInSnap(bool allValid);
    void invalidItemsInSnap(int incompatibleWritable, int nullItems);
    void iKnowClicked();

    void setFilterLineEditValid(bool);

    void attributeValuesReady();

    void setDiffButtonsEnabled(bool enable);

    void extractFromHdbStarted();
    void extractFromHdbEnded();

protected slots:

    virtual void contextSelected();
    virtual void snapSelected();

private:


    QWidget *m_mainWin;

};

#endif // UIHELPER_H
