#include "helperapplication.h"
#include <QString>
#include <tutil.h>
#include <EApplicationLauncher>

HelperApplication::HelperApplication()
{
}

bool HelperApplication::launch(const QString& source)
{
    QString dev;
    QStringList parts = source.split("/");
    if(parts.size() == 4)
        for(int i = 0; i < 3; i++)
            dev += parts.at(i) + "/";
    if(dev.endsWith('/'))
        dev.remove(dev.length() - 1, 1);
    printf("looking for helper %s\n", qstoc(dev));
    QString app = TUtil::instance()->findHelperApplication(dev, QString(), -1);
    if (app != "")
    {
        printf("helper application %s\n", qstoc(app));
        QStringList args = app.split(QRegExp("\\s+"), QString::SkipEmptyParts);
        /* only the executable name: for compatibility reasons, add the device name
         * as first argument.
         */
        if(args.size() == 1)
            app = app + " " + dev;
        EApplicationLauncher al(app);
        al.Rise();
        return true;
    }
    else
        return false;
}
